package javax.security.auth;

import java.security.BasicPermission;

public final class AuthPermission extends BasicPermission
{
    private static final long serialVersionUID = 5806031445061587174L;
    
    public AuthPermission(String anObject) {
        super("createLoginContext".equals(anObject) ? "createLoginContext.*" : anObject);
    }
    
    public AuthPermission(String anObject, String actions) {
        super("createLoginContext".equals(anObject) ? "createLoginContext.*" : anObject, actions);
    }
}
